await seam.thermostats.schedules.update({
thermostat_schedule_id: "f29b8f4d-ef6e-4219-96e5-16fb2151ec6c",
name: "Jane's Stay",
climate_preset_key: "Occupied",
max_override_period_minutes: 90,
starts_at: "2025-06-20T03:24:25.000Z",
ends_at: "2025-06-22T06:04:21.000Z",
is_override_allowed: true,
});
/*
// void
*/Update a Thermostat Schedule
Updates a specified thermostat schedule. Reference for PATCH /thermostats/schedules/update in the Seam API, with request and response details.
await seam.thermostats.schedules.update({
thermostat_schedule_id: "f29b8f4d-ef6e-4219-96e5-16fb2151ec6c",
name: "Jane's Stay",
climate_preset_key: "Occupied",
max_override_period_minutes: 90,
starts_at: "2025-06-20T03:24:25.000Z",
ends_at: "2025-06-22T06:04:21.000Z",
is_override_allowed: true,
});
/*
// void
*/Authorizations
Body
Key of the climate preset to use for the thermostat schedule.
Date and time at which the thermostat schedule ends, in ISO 8601 format.
Indicates whether a person at the thermostat or using the API can change the thermostat's settings while the schedule is active. See also Specifying Manual Override Permissions.
Number of minutes for which a person at the thermostat or using the API can change the thermostat's settings after the activation of the scheduled climate preset. See also Specifying Manual Override Permissions.
Date and time at which the thermostat schedule starts, in ISO 8601 format.
Response
OK
Was this page helpful?